package com.unipi.talepis.fifthapp;

import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;

import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {
    SQLiteDatabase db;
    EditText editText,editText2;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        editText = findViewById(R.id.editTextTextPersonName);
        editText2 = findViewById(R.id.editTextTextPersonName2);
        db = openOrCreateDatabase("StudentDB", Context.MODE_PRIVATE,null);
        db.execSQL("CREATE TABLE IF NOT EXISTS Student(std_name TEXT,std_email TEXT)");
    }
    public void readdb(View view){
        Cursor cursor = db.rawQuery("SELECT * FROM Student",null);
        if (cursor.getCount()>0){
            StringBuilder builder = new StringBuilder();
            while (cursor.moveToNext()){
                builder.append("Student Name:").append(cursor.getString(0)).append("\n");
                builder.append("Student E-mail:").append(cursor.getString(1)).append("\n");
                builder.append("-----------------------------------\n");
            }
            showMessage("Available Students",builder.toString());
        }
    }
    public void writedb(View view){
        String name = editText.getText().toString();
        String email = editText2.getText().toString();
        db.execSQL("INSERT INTO Student VALUES('"+name+"','"+email+"')");
        Toast.makeText(this,"Done",Toast.LENGTH_LONG).show();
    }
    public void showMessage(String title, String message){
        AlertDialog.Builder builder = new AlertDialog.Builder(this);

        builder.setCancelable(true)
                .setTitle(title)
                .setMessage(message)
                .show();
    }
}